%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:           puppet-trove
Version:        12.4.0
Release:        3%{?dist}
Summary:        Puppet module for OpenStack Trove
License:        ASL 2.0

URL:            https://launchpad.net/puppet-trove

Source0:        https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz

#patches_ignore=DROP-IN-RPM
#patches_base=12.4.0
Patch0001: 0001-Make-providers-use-auth_url-for-authentication.patch
Patch0002: 0002-Update-Gemfile-to-pull-spec_helper-from-stable-queen.patch
Patch0003: 0003-Add-openstack-db-tag-to-db-sync-Exec-resource.patch
Patch0004: 0004-Remove-PE-requirement-from-metadata.json.patch

BuildArch:      noarch

Requires:       puppet-inifile
Requires:       puppet-keystone
Requires:       puppet-stdlib
Requires:       puppet-openstacklib
Requires:       puppet >= 2.7.0

%description
Puppet module for OpenStack Trove

%prep
%setup -q -n openstack-trove-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/trove/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/trove/



%files
%{_datadir}/openstack-puppet/modules/trove/


%changelog
* Thu May 07 2020 Miguel Garcia <mgarciac@redhat.com> 12.4.0-3
- Remove PE requirement from metadata.json

* Wed Nov 28 2018 Jon Schlueter <jschluet@redhat.com> 12.4.0-2
- Add 'openstack-db' tag to db-sync Exec resource
- update (rhbz#1654283)

* Wed Oct 17 2018 Steve Linabery <slinaber@redhat.com> 12.4.0-1
- Update to 12.4.0
- Update Gemfile to pull spec_helper from stable/queens
- Make providers use auth_url for authentication

* Wed Feb 21 2018 RDO <dev@lists.rdoproject.org> 12.3.0-1
- Update to 12.3.0



